Skip to content

Snahpshot List

GET
/api/v1/block_storage/{block_id}/snapshot/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/block_storage/{block_id}/snapshot/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
block_id
required
string

Block ID

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Successful response with a list of snapshot details.

Media typeapplication/json
object
code
integer
data
Array<object>
object
name
string
date
string format: date-time
size
string
snapshot_uuid
string format: uuid
snapshot_id
string
status
string
method
string
is_locked
boolean
bs_size
string
errors
object
key
additional properties
any
message
string

Example

{
"code": 200,
"data": [
{
"name": "snapshot-884",
"date": "2024-11-06T04:59:33Z",
"size": "239373",
"snapshot_uuid": "c6fff338-16e5-40c7-bb24-20f14a508733",
"snapshot_id": "1",
"status": "Complete",
"method": "Manual",
"is_locked": false,
"bs_size": "0.2337626953125"
}
],
"errors": {},
"message": "Success"
}